Bug 9065 - kmix suggests 'chmod a+rw /dev/mixer*'
Summary: kmix suggests 'chmod a+rw /dev/mixer*'
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdemultimedia   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-02 11:45 UTC by Tim Waugh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 12:57:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-02-02 11:45:20 UTC
[twaugh@meme twaugh]$ ls -l /dev/mixer
crw-------    1 twaugh   sys       14,   0 Apr 17  1999 /dev/mixer
[twaugh@meme twaugh]$ kmix
kmix: Could not open mixer.
Perhaps you have no permission to access the mixer device.
Login as root and do a 'chmod a+rw /dev/mixer*' to allow the access.

In fact it failed because I haven't configured sound yet -- the permissions
on /dev/mixer* as shipped are fine because pam takes care of it.  Perhaps
the message should say something more harmless if open fails with -ENOSYS.

Comment 1 Bernhard Rosenkraenzer 2000-02-03 12:57:59 UTC
Fixed. It now tells you to run /usr/sbin/sndconfig.


Note You need to log in before you can comment on or make changes to this bug.